package test ;

import org.maachang.rimdb.* ;

// サンプル1.
// ユニークカラム情報から直接検索取得.
//
public final class Sample1 {
    
    public static final void main( String[] args ) throws Exception {
        
        // コンフィグファイル名.
        // ※環境に合わせて変更してください.
        String confFile = "/C:/project/java/project/ReadInMemoryDB/sample/conf/rimdb.conf" ;
        
        // rimdbの定義を読み込む.
        TableFactory factory = TableFactory.getInstance() ;
        factory.init( confFile ) ;
        
        // テーブルオブジェクトを取得.
        Table table = factory.get( "test_table" ) ;
        
        // ユニークカラムから、情報を検索.
        Row row = table.searchRow( "id",3 ) ;
        
        // 検索結果を出力.
        System.out.println( row ) ;
        
    }
}
